"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useLocalImageCache = exports.LocalImageProvider = exports.LocalImageContext = void 0;
var _uikitUtils = require("@gathertown/uikit-utils");
var _react = _interopRequireWildcard(require("react"));
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const LocalImageContext = /*#__PURE__*/_react.default.createContext(null);
exports.LocalImageContext = LocalImageContext;
const useLocalImageCache = message => {
  const localImageContext = (0, _react.useContext)(LocalImageContext);
  if (!localImageContext) {
    console.warn('Missing local image context');
    return;
  }
  if (message && message.sendingStatus === 'pending') {
    localImageContext[message.reqId] = (0, _uikitUtils.getThumbnailUriFromFileMessage)(message);
  }
  return localImageContext[message.reqId];
};
exports.useLocalImageCache = useLocalImageCache;
const LocalImageProvider = _ref => {
  let {
    children
  } = _ref;
  const cache = (0, _react.useMemo)(() => ({}), []);
  return /*#__PURE__*/_react.default.createElement(LocalImageContext.Provider, {
    value: cache
  }, children);
};
exports.LocalImageProvider = LocalImageProvider;
//# sourceMappingURL=LocalImageContext.js.map