function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import * as React from 'react';
import { useState } from 'react';
import { Pressable, TouchableOpacity, Vibration } from 'react-native';
import { isFunction } from '@gathertown/uikit-utils';
export const DEFAULT_LONG_PRESS_DELAY = 250;
const PressBox = props => {
  if (props.activeOpacity && props.activeOpacity < 1) return /*#__PURE__*/React.createElement(PressBoxWithTouchableOpacity, props);
  return /*#__PURE__*/React.createElement(PressBoxWithPressable, props);
};
const PressBoxWithPressable = _ref => {
  let {
    children,
    ...props
  } = _ref;
  return /*#__PURE__*/React.createElement(Pressable, _extends({
    disabled: !props.onPress && !props.onLongPress,
    delayLongPress: DEFAULT_LONG_PRESS_DELAY
  }, props, {
    onLongPress: evt => {
      var _props$onLongPress;
      Vibration.vibrate();
      (_props$onLongPress = props.onLongPress) === null || _props$onLongPress === void 0 ? void 0 : _props$onLongPress.call(props, evt);
    }
  }), state => isFunction(children) ? children(state) : children);
};
const PressBoxWithTouchableOpacity = _ref2 => {
  let {
    children,
    style,
    ...props
  } = _ref2;
  const [pressed, setPressed] = useState(false);
  const state = {
    pressed
  };
  return /*#__PURE__*/React.createElement(TouchableOpacity, _extends({
    disabled: !props.onPress && !props.onLongPress,
    delayLongPress: DEFAULT_LONG_PRESS_DELAY,
    style: isFunction(style) ? style(state) : style,
    onPressIn: () => setPressed(true),
    onPressOut: () => setPressed(false)
  }, props, {
    onLongPress: evt => {
      var _props$onLongPress2;
      Vibration.vibrate();
      (_props$onLongPress2 = props.onLongPress) === null || _props$onLongPress2 === void 0 ? void 0 : _props$onLongPress2.call(props, evt);
    }
  }), isFunction(children) ? children(state) : children);
};
export default PressBox;
//# sourceMappingURL=index.js.map