import { getThumbnailUriFromFileMessage } from '@gathertown/uikit-utils';
import React, { useContext, useMemo } from 'react';
export const LocalImageContext = /*#__PURE__*/React.createContext(null);
export const useLocalImageCache = message => {
  const localImageContext = useContext(LocalImageContext);
  if (!localImageContext) {
    console.warn('Missing local image context');
    return;
  }
  if (message && message.sendingStatus === 'pending') {
    localImageContext[message.reqId] = getThumbnailUriFromFileMessage(message);
  }
  return localImageContext[message.reqId];
};
export const LocalImageProvider = _ref => {
  let {
    children
  } = _ref;
  const cache = useMemo(() => ({}), []);
  return /*#__PURE__*/React.createElement(LocalImageContext.Provider, {
    value: cache
  }, children);
};
//# sourceMappingURL=LocalImageContext.js.map